bogl-bterm_0.1.18-9_amd64.deb


Advertisement

Description

bogl-bterm - Ben's Own Graphics Library - graphical terminal

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name bogl-bterm
Package version 0.1.18
Package release 9
Package architecture amd64
Package type deb
Installed size 92 B
Download size 31.16 KB
Official Mirror ftp.br.debian.org
Ben's Own Graphics Library is a small framebuffer library,
including basic widgets, support for text in multiple
languages, and mouse handling.
This package contains bterm, a UTF-enabled framebuffer terminal.

Alternatives

Package Version Architecture Repository
bogl-bterm_0.1.18-9_i386.deb 0.1.18 i386 Debian Main
bogl-bterm - - -

Requires

Name Value
libc6 >= 2.15
ncurses-term >= 5.9-7

Download

Type URL
Binary Package bogl-bterm_0.1.18-9_amd64.deb
Source Package bogl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install bogl-bterm deb package:
    # sudo apt-get install bogl-bterm

Files

Path
/usr/bin/bterm
/usr/share/doc/bogl-bterm/changelog.Debian.gz
/usr/share/doc/bogl-bterm/copyright
/usr/share/man/man1/bterm.1.gz

Changelog

2013-06-27 - Samuel Thibault <sthibault@debian.org>
bogl (0.1.18-9) unstable; urgency=low
* Replace libgd2-{noxpm,xpm}-dev build-depend with libgd2-dev.
* Fix bdftobogl crash on invalid font file.
2012-05-03 - Samuel Thibault <sthibault@debian.org>
bogl (0.1.18-8) unstable; urgency=low
* Fix non-linux archs build (Closes: Bug#671041).
2012-02-25 - Samuel Thibault <sthibault@debian.org>
bogl (0.1.18-7) unstable; urgency=low
[ Samuel Thibault ]
* control:
- Bump Standards-Version to 3.9.3 (no changes).
- Set libbogl0 multi-arch: same
* rules: Move libraries to multi-arch path.
* libbogl0, libbogl-dev: Use multi-arch path.
[ Sven Joachim ]
* control: 
- make libbogl0 pre-depend on multi-arch-support
- Build-depend on recent debhelper to get misc:Pre-Depends.
- Depend and build-depend on ncurses-term (>= 5.9-7) (see #562134).
* bogl-bterm: Do not include /usr/share/terminfo/b/bterm anymore.
* rules: install the bterm terminfo from ncurses-term into bogl-term-udeb.
2012-02-05 - Samuel Thibault <sthibault@debian.org>
bogl (0.1.18-6) unstable; urgency=low
* Add VCS-Browser and VCS-Git fields.
* control:
- Depend on hardening-check.
- Bump Standards-Version to 3.9.2 (No changes needed).
* rules:
- Set DEB_BUILD_HARDENING=1 to enable hardening.
- Add build-{arch,indep}.
- Build udeb separately with -Os (Closes: Bug#314353).
2011-03-20 - Samuel Thibault <sthibault@debian.org>
bogl (0.1.18-5) unstable; urgency=low
* New maintainer (Closes: #385919).
* Fix compilation warnings.
* Drop -lpng and -lm, they are actually not needed.
* Add manpages for mergebdf, pngtobogl, reduce-font.
* Remove debian/libbogl0.postinst.
* Bump Standards-Version to 3.9.1 (no change needed).
* Fix non-Linux build (Closes: #589987).
2010-06-22 - Steve Langasek <vorlon@debian.org>
bogl (0.1.18-4) unstable; urgency=low
* QA upload.
* If a "--" argument is encountered on bterm's command line, terminate
option processing there and accept arguments after the command name.
Thanks to Colin Watson <cjwatson@ubuntu.com> for the patch.
Closes: #528783.
* Drop gratuitous hardcoded ldconfig call in libbogl0 postinst.
* Drop redundant debian/foo.dirs.
* Update standards-version to 3.8.4, no changes required.
2010-01-10 - Frans Pop <fjp@debian.org>
bogl (0.1.18-3.1) unstable; urgency=low
* Non-maintainer upload.
* Improve packaging of the udeb by using current debhelper functionality.
Ensures correct versioned dependency on libc. Closes: #564488.
* Drop the 'Provides: editor' for bogl-bterm-udeb. It's unused and most
likely incorrect.
* Avoid executable stack. Patch taken from Fedora. Closes: #539775.
2009-04-23 - Barry deFreese <bdefreese@debian.org>
bogl (0.1.18-3) unstable; urgency=low
* QA upload.
* Close-on-exec internal fds. (Closes: #512657).
+ Thanks to Colin Watson for the patch.
* Support enter_bold_mode. (Closes: #486933).
+ Thanks to Samuel Thibault for the patch.
* Make SIGCHLD handler more robust. (Closes: #329164).
+ Thanks to Miloslav Trmac for the patch.
* Display combined chars. (Closes: #279984).
+ Thanks to Eugeniy Meshcheryakov for the patch.
* Make clean not ignore errors.
* Replace pwd with $(CURDIR) in rules.
* Replace ${Source-Version} with ${binary:Version} in Depends.
* Add ${misc:Depends} for debhelper package.
* Add appropriate copyright holders to debian/copyright.
* Bump debhelper build-dep 5.
+ Move DH_COMPAT from rules to debian/compat and set to 5.
* Bump Standards Version to 3.8.1.
2008-03-08 - Daniel Jacobowitz <dan@debian.org>
bogl (0.1.18-2) unstable; urgency=low
* Orphan package.
* Acknowledge large collection of NMUs.

See Also

Package Description
bognor-regis_0.6.12+git20101007.02c25268-9_amd64.deb Media daemon and play queue manager
bogofilter-bdb_1.2.4+dfsg1-3+deb8u1_amd64.deb fast Bayesian spam filter (Berkeley DB)
bogofilter-common_1.2.4+dfsg1-3+deb8u1_all.deb fast Bayesian spam filter (common files)
bogofilter-sqlite_1.2.4+dfsg1-3+deb8u1_amd64.deb fast Bayesian spam filter (sqlite)
bogofilter-tokyocabinet_1.2.4+dfsg1-3+deb8u1_amd64.deb fast Bayesian spam filter (tokyocabinet)
bogofilter_1.2.4+dfsg1-3+deb8u1_all.deb fast Bayesian spam filter (dummy package)
boinc-app-seti-graphics_7.28~svn2633-3_amd64.deb SETI@home application for the BOINC client (with graphics)
boinc-app-seti_7.28~svn2633-3_amd64.deb SETI@home application for the BOINC client
boinc-client_7.4.23+dfsg-1+deb8u1_amd64.deb core client for the BOINC distributed computing infrastructure
boinc-dev_7.4.23+dfsg-1+deb8u1_amd64.deb development files to build applications for BOINC projects (transitional)
boinc-manager_7.4.23+dfsg-1+deb8u1_amd64.deb GUI to control and monitor the BOINC core client
boinc_7.4.23+dfsg-1+deb8u1_all.deb metapackage for the BOINC client and the manager
boinctui_2.3.5-1_amd64.deb Fullscreen text mode manager for Boinc client
bombardier_0.8.3+nmu1_amd64.deb The GNU Bombing utility
bomber_4.12.4-1_amd64.deb arcade spaceship game
Advertisement
Advertisement